Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLCollectionImpl

    java.lang.Object
      org.mozilla.jrex.dom.html2.JRexHTMLCollectionImpl

All Implemented Interfaces:
  HTMLCollection

public class JRexHTMLCollectionImpl
extends Object
implements HTMLCollection

A class implementing org.w3c.dom.html2.HTMLCollection interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLCollection`

Method Summary
`boolean` | `equals(Object obj)`
`protected void` | `finalize()`
`int` | `getLength()` This attribute specifies the length or size of the list.
`int` | `hashCode()`
`Node` | `item(int index)` This method retrieves a node specified by ordinal index.
`Node` | `namedItem(String name)` This method retrieves a `Node` using a name.

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLength

    public int getLength()

  Description copied from interface: `HTMLCollection`
  This attribute specifies the length or size of the list.

  Specified by:
    `getLength` in interface `HTMLCollection`

### item

    public Node item(int index)

  Description copied from interface: `HTMLCollection`
  This method retrieves a node specified by ordinal index. Nodes are numbered in tree order (depth-first traversal order).

  Specified by:
    `item` in interface `HTMLCollection`
  Parameters:
    `index` - The index of the node to be fetched. The index origin is `0`.
  Returns:
    The `Node` at the corresponding position upon success. A value of `null` is returned if the index is out of range.

### namedItem

    public Node namedItem(String name)

  Description copied from interface: `HTMLCollection`
  This method retrieves a `Node` using a name. With [HTML 4.01] documents, it first searches for a `Node` with a matching `id` attribute. If it doesn't find one, it then searches for a `Node` with a matching `name` attribute, but only on those elements that are allowed a name attribute. With [XHTML 1.0] documents, this method only searches for `Nodes` with a matching `id` attribute. This method is case insensitive in HTML documents and case sensitive in XHTML documents.

  Specified by:
    `namedItem` in interface `HTMLCollection`
  Parameters:
    `name` - The name of the `Node` to be fetched.
  Returns:
    The `Node` with a `name` or `id` attribute whose value corresponds to the specified string. Upon failure (e.g., no node with this name exists), returns `null`.

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.